For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
      • GETGet all e-invoicing connections
      • POSTCreate an e-invoicing connection
      • GETGet an e-invoicing connection by ID
      • DELDelete an e-invoicing connection
      • PATCHUpdate an e-invoicing connection
      • POSTCreate an e-invoicing credential
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
E-invoicingE-invoicing connections

Create an e-invoicing connection

POST
/einvoicing_connections
POST
/v1/einvoicing_connections
$curl -X POST https://api.sandbox.monite.com/v1/einvoicing_connections \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "address": {
> "address_line1": "address_line1",
> "city": "city",
> "country": "DE",
> "postal_code": "postal_code"
> }
>}'
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "address": {
6 "address_line1": "address_line1",
7 "city": "city",
8 "country": "DE",
9 "postal_code": "postal_code",
10 "address_line2": "address_line2",
11 "state": "state"
12 },
13 "credentials": [
14 {
15 "id": "id",
16 "created_at": "2024-01-15T09:30:00Z",
17 "updated_at": "2024-01-15T09:30:00Z",
18 "einvoicing_connection_id": "einvoicing_connection_id",
19 "network_credentials_identifier": "12345678",
20 "network_credentials_schema": "DE:VAT"
21 }
22 ],
23 "entity_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
24 "legal_name": "legal_name",
25 "status": "active",
26 "is_receiver": true,
27 "is_sender": true,
28 "provider_id": "12345"
29}
Was this page helpful?
Previous

Get an e-invoicing connection by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
addressobjectRequired
Integration Address
entity_vat_id_idstringOptionalformat: "uuid"
Entity VAT ID identifier for the integration
is_receiverbooleanOptionalDefaults to true

Set to true if the entity needs to receive e-invoices.

is_senderbooleanOptionalDefaults to true

Set to true if the entity needs to send e-invoices. Either is_sender or is_receiver or both must be true.

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
Date of Integration
updated_atdatetime
Last update of Integration
addressobject
Integration Address
credentialslist of objects
List of credentials
entity_idstringformat: "uuid"
ID of the entity
legal_namestring
Legal name of the Entity
statusstring
Current status of the integration
is_receiverbooleanDefaults to true

Set to true if the entity needs to receive e-invoices.

is_senderbooleanDefaults to true

Set to true if the entity needs to send e-invoices. Either is_sender or is_receiver or both must be true.

provider_idstring
ID assigned by integration partner

Errors

400
Post Einvoicing Connections Request Bad Request Error
401
Post Einvoicing Connections Request Unauthorized Error
403
Post Einvoicing Connections Request Forbidden Error
409
Post Einvoicing Connections Request Conflict Error
422
Post Einvoicing Connections Request Unprocessable Entity Error
500
Post Einvoicing Connections Request Internal Server Error